;ASAVEIMG batch compatible AutoLisp program to create TIF
;image file of the drawing's extents.

;Can be edited to create either GIF or TGA files as well.

;Sierra Hermitage - AutoCad automation
;Rod Young, Owner
;140 Mesa Vista Drive
;Bishop, CA  93514
;Phone: 619-387-2479
;Email hermit1@ix.netcom.com

;You must already have RENDER running.  Do this by typing
;Render at the command line and then canceling out.

;Render stays active, so it doesn't have to be re-initialized
;in each drawing

;Use RUN LISP to batch process mutilple drawings in unattended
;batch mode.  See (RUNLISP.TXT)  It can also be used with script 
;files. RUN LISP saves time - No script file to prepare.

;If you use this with a script file rather than RUN LISP, you
;need to revise this program to concatenate the path to the
;drawing name.  When using RUN LISP the system variable DWGNAME
;contains the full path. 

(defun asaveimg()
	(setq fmt "TIF")  ;can change TIF to GIF or TGA
	(command "zoom" "e")
	(c:saveimg (strcat (getvar"dwgname")) fmt "a")
	(command "_qsave")	;to get past the save dialog
);end defun
(asaveimg)	;make this program 'load & go' do this for all
				;RUN LISP compatible programs